import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatDialogModule, MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { OperationResultDialogComponent } from './operation-result-dialog.component';

describe('OperationResultDialogComponent', () => {
  let component: OperationResultDialogComponent;
  let fixture: ComponentFixture<OperationResultDialogComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [OperationResultDialogComponent],
      imports: [MatDialogModule],
      providers: [
        { provide: MatDialogRef, useValue: {} },
        { provide: MAT_DIALOG_DATA, useValue: { success: [], errors: [] } }
      ]
    })
    .compileComponents();

    fixture = TestBed.createComponent(OperationResultDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});